"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "usePreviewHeader_unstable", {
    enumerable: true,
    get: function() {
        return usePreviewHeader_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _usePreviewHeaderStylesstyles = require("./usePreviewHeaderStyles.styles");
const usePreviewHeader_unstable = (props, ref)=>{
    var _state_media;
    const { actions, children, citation, label, media } = props;
    const mediaId = (0, _reactcomponents.useId)('media');
    const state = {
        components: {
            root: 'div',
            actions: 'div',
            citation: 'span',
            label: 'span',
            media: 'div'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('div', {
            ref,
            ...props
        }), {
            elementType: 'div'
        }),
        actions: _reactcomponents.slot.optional(actions, {
            elementType: 'div'
        }),
        citation: _reactcomponents.slot.optional(citation, {
            elementType: 'span'
        }),
        label: _reactcomponents.slot.always(label, {
            defaultProps: {
                children
            },
            elementType: 'span'
        }),
        media: _reactcomponents.slot.optional(media, {
            defaultProps: {
                id: mediaId
            },
            elementType: 'div'
        })
    };
    if ((_state_media = state.media) === null || _state_media === void 0 ? void 0 : _state_media.id) {
        var _state_label_ariadescribedby;
        var _state_label_ariadescribedby_concat;
        state.label['aria-describedby'] = (_state_label_ariadescribedby_concat = (_state_label_ariadescribedby = state.label['aria-describedby']) === null || _state_label_ariadescribedby === void 0 ? void 0 : _state_label_ariadescribedby.concat(state.media.id)) !== null && _state_label_ariadescribedby_concat !== void 0 ? _state_label_ariadescribedby_concat : state.media.id;
    }
    if (state.media && /*#__PURE__*/ _react.isValidElement(state.media.children)) {
        state.media.children = /*#__PURE__*/ _react.cloneElement(state.media.children, {
            className: (0, _reactcomponents.mergeClasses)(state.media.children.props.className, _usePreviewHeaderStylesstyles.previewHeaderExtraClassNames.mediaChild)
        });
    }
    return state;
}; //# sourceMappingURL=usePreviewHeader.js.map
