"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    previewSurfaceClassNames: function() {
        return previewSurfaceClassNames;
    },
    usePreviewSurfaceStyles_unstable: function() {
        return usePreviewSurfaceStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const previewSurfaceClassNames = {
    root: 'fai-PreviewSurface'
};
/**
 * Styles for the root slot
 */ const useRootStyles = (0, _reactcomponents.__styles)({
    base: {
        Byoj8tv: 0,
        uwmqm3: 0,
        z189sj: 0,
        z8tnut: 0,
        B0ocmuz: "f16d74zd",
        B7ck84d: "f1ewtqcl"
    }
}, {
    d: [
        [
            ".f16d74zd{padding:var(--spacingVerticalXS) var(--spacingHorizontalXS);}",
            {
                p: -1
            }
        ],
        ".f1ewtqcl{box-sizing:border-box;}"
    ]
});
const useNextStyles = (0, _reactcomponents.__styles)({
    root: {
        Beyfa6y: 0,
        Bbmb7ep: 0,
        Btl43ni: 0,
        B7oj6ja: 0,
        Dimara: "f1kijzfu"
    }
}, {
    d: [
        [
            ".f1kijzfu{border-radius:var(--borderRadiusXLarge);}",
            {
                p: -1
            }
        ]
    ]
});
const usePreviewSurfaceStyles_unstable = (state)=>{
    'use no memo';
    const { designVersion } = state;
    const rootStyles = useRootStyles();
    const nextStyles = useNextStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(previewSurfaceClassNames.root, rootStyles.base, designVersion === 'next' && nextStyles.root, state.root.className);
    (0, _reactcomponents.usePopoverSurfaceStyles_unstable)(state);
    return state;
}; //# sourceMappingURL=usePreviewSurfaceStyles.styles.js.map
