"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    addOpenedByHoverPreview: function() {
        return addOpenedByHoverPreview;
    },
    closeAllOpenedByHoverPreviews: function() {
        return closeAllOpenedByHoverPreviews;
    },
    removeOpenedByHoverPreview: function() {
        return removeOpenedByHoverPreview;
    }
});
const openedByHoverPreviewManager = [];
function addOpenedByHoverPreview(id, closeCallback) {
    openedByHoverPreviewManager.push({
        id,
        closeCallback
    });
}
function removeOpenedByHoverPreview(id) {
    let index = openedByHoverPreviewManager.findIndex((preview)=>preview.id === id);
    while(index !== -1){
        openedByHoverPreviewManager.splice(index, 1);
        index = openedByHoverPreviewManager.findIndex((preview)=>preview.id === id);
    }
}
function closeAllOpenedByHoverPreviews(id) {
    for (const openedPreview of openedByHoverPreviewManager){
        if (openedPreview.id !== id) {
            openedPreview.closeCallback();
        }
    }
    openedByHoverPreviewManager.length = 0;
} //# sourceMappingURL=openedByHoverPreviewManager.js.map
