import * as React from 'react';
import { renderPopover_unstable } from '@fluentui/react-components';
import { PreviewContextProvider } from '../../previewContext';
/**
 * Render the final JSX of Preview
 */
export const renderPreview_unstable = state => {
  const {
    appearance,
    arrowRef,
    contentRef,
    inertTrapFocus,
    inline,
    isPreviewLocked,
    mountNode,
    open,
    openOnContext,
    openOnHover,
    setOpen,
    size,
    toggleOpen,
    trapFocus,
    triggerRef,
    withArrow
  } = state;
  return /*#__PURE__*/React.createElement(PreviewContextProvider, {
    value: {
      appearance,
      arrowRef,
      contentRef,
      inertTrapFocus,
      inline,
      isPreviewLocked,
      mountNode,
      open,
      openOnContext,
      openOnHover,
      setOpen,
      size,
      toggleOpen,
      trapFocus,
      triggerRef,
      withArrow
    }
  }, renderPopover_unstable(state));
};
//# sourceMappingURL=renderPreview.js.map