"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    previewContentClassNames: function() {
        return previewContentClassNames;
    },
    usePreviewContentStyles_unstable: function() {
        return usePreviewContentStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const previewContentClassNames = {
    root: 'fai-PreviewContent'
};
/**
 * Styles for the root slot
 */ const useRootBaseClassName = (0, _reactcomponents.__resetStyles)("rd6u8g", null, [
    ".rd6u8g{color:var(--colorNeutralForeground3);display:flex;flex-direction:column;max-width:calc(256px - var(--spacingHorizontalXS) * 2);padding:var(--spacingVerticalS) var(--spacingHorizontalS);row-gap:var(--spacingVerticalXS);word-break:break-word;box-sizing:border-box;font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase200);font-weight:var(--fontWeightRegular);line-height:var(--lineHeightBase200);}"
]);
const usePreviewContentStyles_unstable = (state)=>{
    'use no memo';
    const rootBaseClassName = useRootBaseClassName();
    state.root.className = (0, _reactcomponents.mergeClasses)(previewContentClassNames.root, rootBaseClassName, state.root.className);
    return state;
}; //# sourceMappingURL=usePreviewContentStyles.styles.js.map
