"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "usePreviewMetadata_unstable", {
    enumerable: true,
    get: function() {
        return usePreviewMetadata_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const usePreviewMetadata_unstable = (props, ref)=>{
    const { icon, primaryText, secondaryText, tertiaryText } = props;
    return {
        components: {
            root: 'div',
            icon: 'span',
            primaryText: 'span',
            secondaryText: 'span',
            tertiaryText: 'span'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('div', {
            ref,
            ...props
        }), {
            elementType: 'div'
        }),
        icon: _reactcomponents.slot.optional(icon, {
            elementType: 'span'
        }),
        primaryText: _reactcomponents.slot.optional(primaryText, {
            elementType: 'span'
        }),
        secondaryText: _reactcomponents.slot.optional(secondaryText, {
            elementType: 'span'
        }),
        tertiaryText: _reactcomponents.slot.optional(tertiaryText, {
            elementType: 'span'
        })
    };
}; //# sourceMappingURL=usePreviewMetadata.js.map
