"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    PreviewContext: function() {
        return PreviewContext;
    },
    PreviewContextProvider: function() {
        return PreviewContextProvider;
    },
    usePreviewContext_unstable: function() {
        return usePreviewContext_unstable;
    }
});
const _reactcontextselector = require("@fluentui/react-context-selector");
const PreviewContext = (0, _reactcontextselector.createContext)(undefined);
const previewContextDefaultValue = {
    open: false,
    setOpen: ()=>null,
    toggleOpen: ()=>null,
    triggerRef: {
        current: null
    },
    contentRef: {
        current: null
    },
    arrowRef: {
        current: null
    },
    openOnContext: false,
    openOnHover: false,
    size: 'medium',
    trapFocus: false,
    inline: false,
    isPreviewLocked: false
};
const PreviewContextProvider = PreviewContext.Provider;
const usePreviewContext_unstable = (selector)=>(0, _reactcontextselector.useContextSelector)(PreviewContext, (ctx = previewContextDefaultValue)=>selector(ctx)); //# sourceMappingURL=previewContext.js.map
