import { __styles, mergeClasses, usePopoverSurfaceStyles_unstable } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const previewSurfaceClassNames = {
  root: 'fai-PreviewSurface'
};
/**
 * Styles for the root slot
 */
const useRootStyles = __styles({
  base: {
    Byoj8tv: 0,
    uwmqm3: 0,
    z189sj: 0,
    z8tnut: 0,
    B0ocmuz: "f16d74zd",
    B7ck84d: "f1ewtqcl"
  }
}, {
  d: [[".f16d74zd{padding:var(--spacingVerticalXS) var(--spacingHorizontalXS);}", {
    p: -1
  }], ".f1ewtqcl{box-sizing:border-box;}"]
});
const useNextStyles = __styles({
  root: {
    Beyfa6y: 0,
    Bbmb7ep: 0,
    Btl43ni: 0,
    B7oj6ja: 0,
    Dimara: "f1kijzfu"
  }
}, {
  d: [[".f1kijzfu{border-radius:var(--borderRadiusXLarge);}", {
    p: -1
  }]]
});
/**
 * Apply styling to the PreviewSurface slots based on the state
 */
export const usePreviewSurfaceStyles_unstable = state => {
  'use no memo';

  const {
    designVersion
  } = state;
  const rootStyles = useRootStyles();
  const nextStyles = useNextStyles();
  state.root.className = mergeClasses(previewSurfaceClassNames.root, rootStyles.base, designVersion === 'next' && nextStyles.root, state.root.className);
  usePopoverSurfaceStyles_unstable(state);
  return state;
};
//# sourceMappingURL=usePreviewSurfaceStyles.styles.js.map