import { createContext, useContextSelector } from '@fluentui/react-context-selector';
export const PreviewContext = createContext(undefined);
const previewContextDefaultValue = {
  open: false,
  setOpen: () => null,
  toggleOpen: () => null,
  triggerRef: {
    current: null
  },
  contentRef: {
    current: null
  },
  arrowRef: {
    current: null
  },
  openOnContext: false,
  openOnHover: false,
  size: 'medium',
  trapFocus: false,
  inline: false,
  isPreviewLocked: false
};
export const PreviewContextProvider = PreviewContext.Provider;
export const usePreviewContext_unstable = selector => useContextSelector(PreviewContext, (ctx = previewContextDefaultValue) => selector(ctx));
//# sourceMappingURL=previewContext.js.map