const openedByHoverPreviewManager = [];
export function addOpenedByHoverPreview(id, closeCallback) {
  openedByHoverPreviewManager.push({
    id,
    closeCallback
  });
}
export function removeOpenedByHoverPreview(id) {
  let index = openedByHoverPreviewManager.findIndex(preview => preview.id === id);
  while (index !== -1) {
    openedByHoverPreviewManager.splice(index, 1);
    index = openedByHoverPreviewManager.findIndex(preview => preview.id === id);
  }
}
export function closeAllOpenedByHoverPreviews(id) {
  for (const openedPreview of openedByHoverPreviewManager) {
    if (openedPreview.id !== id) {
      openedPreview.closeCallback();
    }
  }
  openedByHoverPreviewManager.length = 0;
}
//# sourceMappingURL=openedByHoverPreviewManager.js.map